imagewbmp
iptcembed
GD Functions
PHP Manual

# imagexbm

(PHP 5)

imagexbm — Output XBM image to browser or file

### Description

bool imagexbm ( resource `$image` , string `$filename` [, int `$foreground` ] )

Outputs or save an XBM version of the given `image` .

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`filename`

  The path to save the file to. If not set or `NULL`, the raw image stream will be outputted directly.

`foreground`

  You can set the foreground color with this parameter by setting an identifier obtained from imagecolorallocate(). The default foreground color is black.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note: This function is only available if PHP is compiled with the bundled version of the GD library.

imagewbmp
iptcembed
GD Functions
PHP Manual